====================================================================
Text Hit Counter Script - Anleitung (Version 1.50)
Datum: 11. Februar 2025
====================================================================


1. Vorbereitung: Dateien auf den Server hochladen
---------------------------------------------------
- Lade smtliche Skript-Dateien (inklusive aller Unterordner) auf Deinen PHP-Webspace hoch.
- Achte darauf, dass die komplette Ordnerstruktur erhalten bleibt.

2. Dateiberechtigungen anpassen
-------------------------------
Damit das Script ordnungsgem arbeiten kann, mssen bestimmte Dateien und Ordner beschreibbar sein. Insbesondere ist die Datei `cont.txt` (und gegebenenfalls der umgebende Ordner) mit den folgenden Rechten auszustatten:

**Empfohlen: Berechtigung 777 (Lese-, Schreib- und Ausfhrungsrechte fr alle Benutzer)**

**Methoden zum Setzen der Berechtigungen:**

a) **ber einen FTP-Client:**
- Suche im Men Deines FTP-Clients nach Begriffen wie ?Datei-Zugriffsrechte? oder ?File Permissions?.
- Whle den entsprechenden Ordner und die Datei `cont.txt` aus und setze deren Berechtigungen auf **777**.
- Viele Clients bieten die Mglichkeit, mehrere Dateien gleichzeitig zu markieren (z.?B. mit ?Strg + A?) und dann die Rechte gemeinsam zu ndern.

b) **ber die FTP-Kommandozeile:**
- Verbinde Dich mit Deinem FTP-Server:
  ```
  ftp ftp.deinedomain.de
  ```
- Gib Deinen Benutzernamen und Dein Passwort ein.
- berprfe den aktuellen Arbeitsordner mit:
  ```
  pwd
  ```
- Setze die Berechtigungen mit folgendem Befehl:
  ```
  quote site chmod 777 /pfad/zum/ordner
  ```
  Ersetze `/pfad/zum/ordner` durch den tatschlichen Pfad auf Deinem Server.

c) **ber einen Shell-Zugang (falls verfgbar):**
- Nutze den Befehl:
  ```
  chmod 777 /pfad/zur/datei_oder_ordner
  ```

3. Einbindung des Scripts in Deine Webseite
--------------------------------------------
Du hast zwei Mglichkeiten, den Besucherzhler in Deine Webseite zu integrieren:

a) **Direktes Einbinden per PHP:**
- Fge an der gewnschten Stelle in Deinem PHP-Code folgenden Include-Befehl ein:
  ```php
  <?php @include_once("counter.php"); ?>
  ```
- So wird das Skript direkt in Deine Seite geladen und der Besucherzhler automatisch aktualisiert.

b) **Einbindung via JavaScript:**
- Binde das Script als externes JavaScript ein, indem Du folgenden Code in Deine HTML-Seite einfgst:
  ```html
  <script src="counter.php?ac=js"></script>
  ```
- Diese Variante schreibt den Besucherzhler dynamisch an die Stelle, an der das Script eingebunden wurde.

4. Zustzliche Hinweise
------------------------
- **PHP-Untersttzung:** Stelle sicher, dass Dein Webspace PHP untersttzt und korrekt konfiguriert ist.
- **Datei `cont.txt`:** Diese Datei speichert die Besucherzahl. Achte darauf, dass sie existiert und beschreibbar ist.
- **Sicherheit:** Das Setzen von 777-Rechten ist aus Sicherheitsgrnden oft nicht optimal. Informiere Dich bei Deinem Hosting-Provider ber alternative, sicherere Konfigurationen, falls mglich.

5. PHP Webspace-Anbieter
------------------------
Falls Du noch keinen PHP-fhigen Webspace hast, findest Du unter folgendem Link eine bersicht geeigneter Anbieter:
https://www.php-space.info/webhoster/

6. Support und Kontakt
----------------------
Solltest Du Fragen haben oder Untersttzung bentigen, stehen wir Dir gerne zur Verfgung:

- **E-Mail:** info@schubertmedia.de
- **Web:** https://www.php-space.info
- **Weitere Informationen zum Script:** https://www.php-space.info/text-hit-counter-script/

====================================================================
